<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\RechargeCombo
 *
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo query()
 * @mixin \Eloquent
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo onlyTrashed()
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo withTrashed()
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo withoutTrashed()
 */
class RechargeCombo extends Model
{
    use HasFactory,SoftDeletes;

    protected $table = 'recharge_combo';
}
