<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\UserWatchRecord
 *
 * @property int $id
 * @property int $user_id user_id
 * @property int $episode_id 剧集ID
 * @property int $list_id 具体集数ID
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereEpisodeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereListId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserWatchRecord whereUserId($value)
 * @mixin \Eloquent
 */
class UserWatchRecord extends Model
{
    use HasFactory;
}
