<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\VipCombo
 *
 * @property int $id id
 * @property string $name 名称
 * @property string $price 价格
 * @property int $valid_day 有效天数
 * @property string|null $desc 描述
 * @property \Illuminate\Support\Carbon $updated_at 删除时间
 * @property string $deleted_at 删除时间
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo query()
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|VipCombo whereValidDay($value)
 * @mixin \Eloquent
 */
class VipCombo extends Model
{
    use HasFactory;
    protected $table = 'vip_combo';
}
